Bug 24643 - не работает mmap из-за ограничений системы
: не работает mmap из-за ограничений системы
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dosemu)
: unstable
: x86 Linux
: P3 normal
Assigned To:
:
: http://sourceforge.net/apps/mediawiki...
:
:
:
  Show dependency tree
 
Reported: 2010-11-25 18:31 by
Modified: 2012-09-26 03:53 (History)


Attachments
описание кардинального решения вопроса (68 bytes, url)
2010-11-25 18:32, Андрей
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-11-25 18:31:03
dosemu падает при старте, потому, что /proc/sys/vm/mmap_min_addr равно 64к.
можно ли как-то изменить этот параметр только для текущего процесса, а не для
всейсистемы и запускать dosemu через обертку?
------- Comment #1 From 2010-11-25 18:32:58 -------
Created an attachment (id=4676) [details]
описание кардинального решения вопроса
------- Comment #2 From 2012-09-26 03:53:28 -------
dosemu-1:1.4.1-alt0.1 -> sisyphus:

* Tue Sep 25 2012 Dmitry V. Levin <ldv@altlinux> 1:1.4.1-alt0.1
- Updated to https://dosemu.svn.sourceforge.net/svnroot/dosemu/trunk@2080
  (closes: #24643, #26471).

* Tue Sep 25 2012 Dmitry V. Levin <ldv@altlinux> 1:1.4.0.1-alt2
- Fixed build with flex >= 2.5.36.
- Built with libslang2-devel.